package com.jsowell.common.enums.ykc;

/**
 * 订单支付方式enum
 * 前端给的参数
 */
public enum OrderPayModeEnum {

	PAYMENT_OF_BALANCE("1", "余额支付"),
	PAYMENT_OF_WHITELIST("3", "白名单支付"),
	PAYMENT_OF_WECHATPAY("4", "微信支付"),
	PAYMENT_OF_ALIPAY("5", "支付宝支付"),
	;

	private String value;
	private String label;

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public static String getPayModeDescription(String value) {
		for (OrderPayModeEnum orderPayModeEnum : OrderPayModeEnum.values()) {
			if (orderPayModeEnum.getValue().equals(value)) {
				return orderPayModeEnum.getLabel();
			}
		}
		return "";
	}

	OrderPayModeEnum(String value, String label) {
		this.value = value;
		this.label = label;
	}
}
